import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Trnrel{
    constructor () {
        this.data = {
						trncorco:{
							ownref:"",			//  参考编号		.trncorco.ownref
							relflg:"",			//  状态		.trncorco.relflg
							inidatfro:"",			//  Date of entry of Transaction		.trncorco.inidatfro
							inidattil:"",			//  Date of entry of Transaction until		.trncorco.inidattil
							trnstm:"",			//  List of transaction sfor display		.trncorco.trnstm
						},
						atp:{
							cod:"",			//  交易类型		.atp.cod
						},
						atpget:{
							sdamod:{
								seainf:"",			//  		.atpget.sdamod.seainf
								dadsnd:"",			//  Drag  Drop Sender		.atpget.sdamod.dadsnd
							},
						},
						atptxt:"",			//  交易备注		.atptxt
						numtrn:"",			//  # of transactions		.numtrn
						recpan:{
							cpltxt:"",			//  Completion text		.recpan.cpltxt
							spt:{
								sta:"",			//  Status		.recpan.spt.sta
							},
							ord:{
								sta:"",			//  Status		.recpan.ord.sta
							},
							recget:{
								sdamod:{
									seainf:"",			//  交易流水号		.recpan.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
								},
							},
							atp:{
								cod:"",			//  Transaction  ID		.recpan.atp.cod
							},
							atpget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.recpan.atpget.sdamod.dadsnd
									seainf:"",			//  交易码		.recpan.atpget.sdamod.seainf
								},
							},
							smhstm:"",			//  单据		.recpan.smhstm
							usr:{
								extkey:"",			//  User ID		.recpan.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.recpan.usrget.sdamod.seainf
								},
							},
							trsstm:"",			//  签名信息		.recpan.trsstm
							con:"",			//  业务编号		.recpan.con
							cretrs:{
								usr:"",			//  备忘人		.recpan.cretrs.usr
								dattim:"",			//  Timestamp		.recpan.cretrs.dattim
							},
							entryamt:"",			//  是否自动入�'�标识		.recpan.entryamt
							sysflg:"",			//  是否自动入账文本		.recpan.sysflg
							wfestm:"",			//  WFEs for transaction for display		.recpan.wfestm
							evthisstm:"",			//  stream of history of transactions		.recpan.evthisstm
							evtstm:"",			//  stream of events		.recpan.evtstm
							ackstm:"",			//  ACKs for transaction		.recpan.ackstm
							trostm:"",			//  TROs for transaction for display		.recpan.trostm
							prtgleblk:"",			//  XMLPanel prtgle的内置block		.recpan.prtgleblk
							prtpanblk:"",			//  XMLPanel prtpan的内置block		.recpan.prtpanblk
						},
						trn:{
							ownref:"",			//  业务编号		.trn.ownref
							inr:"",			//  交易流水号		.trn.inr
							objnam:"",			//  业务编号		.trn.objnam
							reloricur:"",			//  交易金额		.trn.reloricur
							reloriamt:"",			//  Relevant Amount for Release in Original Currency		.trn.reloriamt
							relflg:"",			//  交易授权状态		.trn.relflg
							usr:"",			//  交易柜员		.trn.usr
							usg:"",			//  Responsible Group		.trn.usg
							relreq:"",			//  授权需要/已获得的授权		.trn.relreq
							relres:"",			//  Applied Signatures		.trn.relres
							cortrninr:"",			//  原流水号		.trn.cortrninr
							exedat:"",			//  Execution Date		.trn.exedat
							inftxt:"",			//  备注信息		.trn.inftxt
							infdsp:"",			//  Infoflag		.trn.infdsp
						},
						wfmmod:{
							wfs:{
								objnam:"",			//  External Readable Object Identification		.wfmmod.wfs.objnam
								objtyp:"",			//  Table Used to Store Associated Object		.wfmmod.wfs.objtyp
								objinr:"",			//  对象		.wfmmod.wfs.objinr
							},
						},
						docimm:{
							prtswtpblk:"",			//  XMLPanel prtswtp的内置block		.docimm.prtswtpblk
							xmldocblk:"",			//  XMLPanel xmldoc的内置block		.docimm.xmldocblk
							prtswtrpblk:"",			//  XMLPanel prtswtrp的内置block		.docimm.prtswtrpblk
							docbol:{
								prtpblk:"",			//  XMLPanel prtp的内置block		.docimm.docbol.prtpblk
							},
						},
				}
    }
}